Status: Resolved Priority: Should have
Author: Dominique Feyer Category:
Created: 2013-03-05 Assigned To: Dominique Feyer
Updated: 2013-05-07 Due date:
Subject: Must support subcontext
Description

If we use "Production/Staging" context per ex. we have a subdirectory in the configuration directory, and this directory break the
SymlinkConfigurationTask because we use "rm -f Production/*", but should be "rm -Rf Production/*"

Patch is coming

Associated revisions
Revision 1888df72 - 2013-05-07 10:44 - Dominique Feyer

[BUGFIX] Sub-contexts are not supported

If using e.g. "Production/Staging" as context a subdirectory in the
configuration directory exists. This directory is now correctly
removed using "rm -Rf Production/*" instead of "rm -f Production/*".
The SymlinkConfigurationTask thus no longer breaks.

Change-Id: I02427a3b2d91ff2ad260f2779ca0d290a1e2e7cc
Fixes: #46052

History
#1 - 2013-03-05 22:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18714

#2 - 2013-05-07 10:44 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18714

#3 - 2013-05-07 11:16 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Dominique Feyer

#4 - 2013-05-07 11:24 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04 1/1

https://review.typo3.org/18714
https://review.typo3.org/18714

